Skip to main content
GET
/
api
/
v1
/
workflows
/
{workflowInstanceId}
/
tasks
Get all the tasks of a workflow execution
curl --request GET \
  --url https://workflow-app.thena.ai/api/v1/workflows/{workflowInstanceId}/tasks \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "stepIdentifier": 123,
  "activity": "<string>",
  "status": "SCHEDULED",
  "input": {},
  "result": {},
  "isRetry": true,
  "isCompensation": true,
  "executionTime": 123,
  "startedAt": "2023-11-07T05:31:56Z",
  "lastUpdatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

Enter your API key

Path Parameters

workflowInstanceId
string
required

Response

Operation successful

id
string
required

The identifier of the activity of a workflow instance

stepIdentifier
number
required

The step identifier of the activity of a workflow instance as present in workflow definition

activity
string
required

The activity of the workflow instance

status
enum<string>
required

The status of the activity of a workflow instance

Available options:
SCHEDULED,
UNAUTHORIZED,
STARTED,
AWAITING_USER_INPUT,
FAILED,
FINISHED
input
object
required

The input of the activity of a workflow instance

result
object
required

The result of the activity of a workflow instance

isRetry
boolean
required

If the activity is a retry

isCompensation
boolean
required

If the activity is a compensation

executionTime
number
required

The execution time of the activity (in seconds)

startedAt
string<date-time>
required

The start date of the activity (in ISO format)

lastUpdatedAt
string<date-time>
required

The last updated date of the activity (in ISO format)